Ga naar inhoud

WordPress-site aangevallen via kwetsbaarheden in Thrive Themes


Aanbevolen berichten

Aanvallers maken op het moment actief misbruik van twee kwetsbaarheden in themes en plug-ins van ontwikkelaar Thrive Themes om WordPress-sites over te nemen. Thrive Themes biedt verschillende oplossingen voor het verder uitbouwen van WordPress-sites. Naar schatting maken zo'n 100.000 websites er gebruik van.

Twee kwetsbaarheden in de verschillende oplossingen van Thrive Themes zorgen ervoor dat aanvallers kwetsbare websites van een backdoor kunnen voorzien. De eerste kwetsbaarheid bevindt zich in het Thrive Dashboard en maakt het mogelijk om met de functionaliteit van Zapier te integreren. Zapier is een online tool waarmee er een verbinding tussen verschillende apps en diensten kan worden gemaakt.

De functionaliteit is echter op een onveilige wijze geïmplementeerd en zorgt ervoor dat een aanvaller een optie in de WordPress-database kan inschakelen. Vervolgens is het via deze optie mogelijk om zonder authenticatie een kwaadaardig PHP-bestand naar de website te uploaden, zoals een backdoor. De kwetsbaarheid die het mogelijk maakt om zonder authenticatie willekeurige bestanden naar de website te uploaden is op een schaal van 1 tot en met 10 wat betreft de impact met een 10 beoordeeld.

Securitybedrijf Wordfence heeft inmiddels op 1900 websites een backdoor aangetroffen die via de twee beveiligingslekken is geïnstalleerd. Op 12 maart rolde Thrive Themes beveiligingsupdates uit om de kwetsbaarheden te verhelpen, maar een onbekend aantal websites is nog kwetsbaar.

 

bron: https://www.security.nl

Link naar reactie
Delen op andere sites


 Delen

×
×
  • Nieuwe aanmaken...